Subject: Re: ppc32: Rework power management take #3

From: Wolfram Quester <[email-masked]>
Date: Thu, 2 Jun 2005 15:05:02 +0200

Hi,

On Mon, May 30, 2005 at 11:59:14PM +0200, Mickael Royer wrote:
> Hi Ben
> 
> > Ok, the patch is now getting "good enough" for wider testing. It applies
> > on current "git" tree (or 2.6.12-rc6 when/if that is ever released).
> 
> I have just tested your patch with the 2.5.12-rc5-git5 on the new powerbook 12".
> And yes, the suspend to disk works very well, even if X is running (I
> report my problem with X and the suspend to disk with a 2.6.12-rc4 in
> another discussion).
> It is really good. 
> 
> Thanks for your good job Ben. 
> 
> Mickael
> 
> On 5/30/05, Benjamin Herrenschmidt <[email-masked]> wrote:
> > Ok, the patch is now getting "good enough" for wider testing. It applies
> > on current "git" tree (or 2.6.12-rc6 when/if that is ever released). It
> > requires one other patch to be applied first:
> > 
> > http://gate.crashing.org/~benh/ppc32-remove-macserial.diff
> > 
> > The PM patch itself can be found at:
> > 
> > http://gate.crashing.org/~benh/ppc32-rework-pm.diff
> > 
> > This patch completely reworks both suspend-to-ram and suspend-to-disk
> > support on PowerMac:
[...snip...]

Today I applied the two mentioned patches to rc5-git6. There were quite
a lot of offsets and one time fuzz 2 (hunk 10 in via-pm.c). But still I
get a freeze on my PowerBook6,2 (12", 1Ghz from Dec. 2004) when I
suspend to disk from X. If I suspend from tty1 the first time, the
following suspends work well even from X.

Thanks for your work,

Wolfi